%{!?dist: %define dist .slc5}
Name: linuxsoft-sync
Version: 0.3.2
Release: 1%{?dist}
Summary: Linuxsoft repository mirroring scripts.
Group: Applications/System
Source: %{name}-%{version}.tar.gz
License: GPL
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: mrepo >= 0.8.6

%description 
%{name} - scripts synchronizing linuxsoft repository data.

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
/usr/bin/linuxsoft-sync-afs
/usr/bin/linuxsoft-sync-rhn
/usr/bin/linuxsoft-sync-mirrors
/usr/bin/linuxsoft-sync-yumsnapshot
%config(noreplace) /etc/linuxsoft-sync.conf
%config(noreplace) /etc/cron.d/linuxsoft-sync
%config(noreplace) /etc/httpd/conf.d/linuxsoft-sync.conf
%config(noreplace) /etc/logrotate.d/linuxsoft-sync
%config(noreplace) /etc/mrepo.conf.d/*.conf
%dir /var/log/linuxsoft-sync/
%dir /data/internal/yumsnapshot/.rhel4/i386
%dir /data/internal/yumsnapshot/.rhel4/x86_64
%dir /data/internal/yumsnapshot/.rhel5/i386
%dir /data/internal/yumsnapshot/.rhel5/x86_64

%changelog
* Wed Feb 17 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 0.3.1-1
-added epel repos to yumsnapshot

* Tue Feb 16 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 0.3
- added yumsnapshot stuff.

* Tue Feb 09 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 0.1-3
- updated spec file.

* Mon Feb 08 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 0.1-1
- initial version
